! Copyright (C) GFD Dennou Club, 2000.  All rights reserved.

subroutine GTVarGetReal1(var, value, err)
    use gtdata_types, only: GT_VARIABLE
    use an_generic, only: Get
    type(GT_VARIABLE), intent(inout):: var
    real, pointer:: value(:)
    logical, intent(out), optional:: err
    if (associated(var%an)) then
        call Get(var%an, value, err)
    endif
end subroutine

subroutine GTVarGetDouble1(var, value, err)
    use gtdata_types, only: GT_VARIABLE
    use an_generic, only: Get
    type(GT_VARIABLE), intent(inout):: var
    double precision, pointer:: value(:)
    logical, intent(out), optional:: err
    if (associated(var%an)) then
        call Get(var%an, value, err)
    endif
end subroutine
